Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfFileNameDisplayType

    java.lang.Object
      java.lang.Enum<OdfFileNameDisplayType>
          org.odftoolkit.odfdom.dom.type.text.OdfFileNameDisplayType

All Implemented Interfaces:
  Serializable, Comparable<OdfFileNameDisplayType>

    public enum OdfFileNameDisplayType

extends Enum<OdfFileNameDisplayType>

DOM implementation of OpenDocument attribute text:display.

Enum Constant Summary
`FULL`
`NAME`
`NAME_AND_EXTENSION`
`PATH`

Method Summary
`static OdfFileNameDisplayType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfFileNameDisplayType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfFileNameDisplayType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfFileNameDisplayType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NAME_AND_EXTENSION

    public static final OdfFileNameDisplayType NAME_AND_EXTENSION

### PATH

    public static final OdfFileNameDisplayType PATH

### NAME

    public static final OdfFileNameDisplayType NAME

### FULL

    public static final OdfFileNameDisplayType FULL

Method Detail

### values

    public static OdfFileNameDisplayType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfFileNameDisplayType c : OdfFileNameDisplayType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfFileNameDisplayType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfFileNameDisplayType>`
  Returns:
    return the name of OdfFileNameDisplayType

### toString

    public static String toString(OdfFileNameDisplayType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfFileNameDisplayType, see text:display
  Returns:
    return the name of OdfFileNameDisplayType

### enumValueOf

    public static OdfFileNameDisplayType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfFileNameDisplayType
  Returns:
    return the constant of OdfFileNameDisplayType, see text:display

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.